# Uses of Interface
org.globus.ftp.dc.TransferContext

Packages that use TransferContext
Package
Description
org.globus.ftp.dc
org.globus.ftp.extended
org.globus.ftp.vanilla

## Uses of TransferContext in org.globus.ftp.dc

Classes in org.globus.ftp.dc that implement TransferContext
Modifier and Type
Class
Description
`class`
`EBlockParallelTransferContext`
`class`
`SimpleTransferContext`
transfer context for single threaded transfers using 1 data channel.
Fields in org.globus.ftp.dc declared as TransferContext
Modifier and Type
Field
Description
`protected TransferContext`
ActiveConnectTask.`context`
`protected TransferContext`
PassiveConnectTask.`context`
`protected TransferContext`
TransferSinkThread.`context`
`protected TransferContext`
TransferSourceThread.`context`
Methods in org.globus.ftp.dc that return TransferContext
Modifier and Type
Method
Description
`static TransferContext`
SimpleTransferContext.`getDefault()`
return the default instance of this class
Methods in org.globus.ftp.dc with parameters of type TransferContext
Modifier and Type
Method
Description
`void`
TransferThreadManager.`activeClose(TransferContext context, int connections)`
use only in mode E
`DataChannelWriter`
AbstractDataChannel.`getDataChannelSink(TransferContext context)`
`DataChannelReader`
AbstractDataChannel.`getDataChannelSource(TransferContext context)`
`TransferThread`
GridFTPTransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
SimpleTransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
TransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
GridFTPTransferThreadFactory.`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
SimpleTransferThreadFactory.`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
TransferThreadFactory.`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
TransferThreadManager.`passiveConnect(DataSink sink, TransferContext context, int connections, ServerSocket serverSocket)`
Accept connections from the remote server, and start transfer threads that will read incoming data and store in the sink.
`void`
TransferThreadManager.`passiveConnect(DataSource source, TransferContext context, ServerSocket serverSocket)`
Accept connection from the remote server and start transfer thread that will read incoming data and store in the sink.
`void`
DataChannel.`startTransfer(DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
DataChannel.`startTransfer(DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
SimpleDataChannel.`startTransfer(DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
SimpleDataChannel.`startTransfer(DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
TransferThreadManager.`startTransfer(DataSink sink, TransferContext context, int connections, boolean reusable)`
This should be used once the remote active server connected to us.
`void`
TransferThreadManager.`startTransfer(DataSource source, TransferContext context, int connections, boolean reusable)`
This should be used once the remote active server connected to us.
Constructors in org.globus.ftp.dc with parameters of type TransferContext
Modifier
Constructor
Description
``
`ActiveConnectTask(HostPort hostPort, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveConnectTask(HostPort hostPort, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveStartTransferTask(DataSink sink, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveStartTransferTask(DataSource source, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
``
`PassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`PassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`TransferSinkThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
``
`TransferSourceThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`

## Uses of TransferContext in org.globus.ftp.extended

Methods in org.globus.ftp.extended that return TransferContext
Modifier and Type
Method
Description
`protected TransferContext`
GridFTPServerFacade.`createTransferContext()`

## Uses of TransferContext in org.globus.ftp.vanilla

Methods in org.globus.ftp.vanilla that return TransferContext
Modifier and Type
Method
Description
`protected TransferContext`
FTPServerFacade.`createTransferContext()`